Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 15/07/2021, à 12:33

vgr

[RESOLU] Erreur PHP -- redis.so introuvable

Bonjour
Depuis quelques jours j'ai une erreur CRON sur Nextcloud
Visiblement le fichier redis.so est introuvable

myuser@myserver:~$ sudo -u www-data php7.4 /mypath/nextcloud/cron.php 
PHP Warning:  PHP Startup: Unable to load dynamic library 'redis.so' (tried: /usr/lib/php/20190902/redis.so (/usr/lib/php/20190902/redis.so: cannot open shared object file: No such file or directory), /usr/lib/php/20190902/redis.so.so (/usr/lib/php/20190902/redis.so.so: cannot open shared object file: No such file or directory)) in Unknown on line 0
myuser@myserver:~$ 

Pourtant je trouve le fichier redis.so dans le répertoire suivant

myuser@myserver:~$ ll /usr/lib/php/20200930/redis.so 
-rw-r--r-- 1 root root 631808 mars  29 13:02 /usr/lib/php/20200930/redis.so
myuser@myserver:~$ 

Comment puis-je modifier PHP pour qu'il cherche redis.so dans le bon répertoire ?
Merci.
VGR.

Dernière modification par vgr (Le 24/07/2021, à 20:35)

Hors ligne

#2 Le 15/07/2021, à 14:59

bruno

Re : [RESOLU] Erreur PHP -- redis.so introuvable

Bonjour,

Aucun paquet Ubuntu d'une version stable (et encore moins LTS) ne place la bibliothèque php-redis à cet emplacement :

/usr/lib/php/20200930/redis.so 

Donc soit tu travailles sur une version 21.10 non encore publiée, soit tu as bricolé les dépôts sources. Dans un cas comme dans l'autre il na faut pas t'étonner d'avoir des problèmes wink

Dernière modification par bruno (Le 20/07/2021, à 17:46)


Le mensonge et la crédulité s'accouplent et engendrent l'opinion.

Hors ligne

#3 Le 20/07/2021, à 17:37

vgr

Re : [RESOLU] Erreur PHP -- redis.so introuvable

Bonjour Bruno.

Sauf si je ne m'en suis pas rendu compte, je ne travaille pas sur une version non officielle (enfin j'espère !) et je n'ai rien bricolé (du moins volontairement !!).
Comment je peux vérifier ce que tu suppose ???
En revanche j'ai fait il y a quelque temps une double montée de version, puisque j'étais en version 18.04
Je suis donc passé coup sur coup (dans la même semaine) en version 19.04 puis 20.04

Quand je me connect en ssh sur mon serveur j'ai ceci

Welcome to Ubuntu 20.04.2 LTS (GNU/Linux 4.19-ovh-xxxx-std-ipv6-64 x86_64)

Merci.
VGR

Hors ligne

#4 Le 20/07/2021, à 17:45

bruno

Re : [RESOLU] Erreur PHP -- redis.so introuvable

Ce qui s'affiche quand tu te connectes ne veut rien dire, il faut donner :

lsb_release -a

Et au passage :

apt policy php-redis

Il n'y avait aucun intérêt à passer par la version intermédiaire 19.04. Les versions LTS sont faites pour assurer les mises à niveau de l'une à l'autre.


Le mensonge et la crédulité s'accouplent et engendrent l'opinion.

Hors ligne

#5 Le 20/07/2021, à 18:15

cqfd93

Re : [RESOLU] Erreur PHP -- redis.so introuvable

Bonjour,

bruno a écrit :

Il n'y avait aucun intérêt à passer par la version intermédiaire 19.04. Les versions LTS sont faites pour assurer les mises à niveau de l'une à l'autre.

Et surtout, il est impossible de passer directement de la 18.04 à la 19.04 (et pareil de 19.04 à 20.04) puisque ce ne sont pas des versions consécutives. Donc vgr ne donne pas les bonnes informations sur ses manips.


cqfd93

Hors ligne

#6 Le 20/07/2021, à 18:32

bruno

Re : [RESOLU] Erreur PHP -- redis.so introuvable

Oui bien vu. smile
Je suppose que vgr s'est trompé et est passé de la 16.04 à la 20.04 en passant par la 18.04. Cela sera éclairci par le retour des commandes demandées en #4.


Le mensonge et la crédulité s'accouplent et engendrent l'opinion.

Hors ligne

#7 Le 21/07/2021, à 08:29

vgr

Re : [RESOLU] Erreur PHP -- redis.so introuvable

Effectivement je me suis trompé : je suis parti de la 16.04 LTS
L'étape intermédiaire était sans doute la 18.04 (ma mémoire me joue des tours...)

Les commandes donnent ceci

myuser@myserver:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 20.04.2 LTS
Release:        20.04
Codename:       focal
myuser@myserver:~$
myuser@myserver:~$ apt policy php-redis
php-redis:
  Installé : 5.3.4+4.3.0-1+ubuntu20.04.1+deb.sury.org+1
  Candidat : 5.3.4+4.3.0-1+ubuntu20.04.1+deb.sury.org+1
 Table de version :
 *** 5.3.4+4.3.0-1+ubuntu20.04.1+deb.sury.org+1 500
        500 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 Packages
        100 /var/lib/dpkg/status
     5.1.1+4.3.0-1 500
        500 http://ubuntu.mirrors.ovh.net/ubuntu focal/universe amd64 Packages
myuser@myserver:~$

Hors ligne

#8 Le 21/07/2021, à 09:28

bruno

Re : [RESOLU] Erreur PHP -- redis.so introuvable

vgr a écrit :

je ne travaille pas sur une version non officielle (enfin j'espère !) et je n'ai rien bricolé (du moins volontairement !!).

Et bien si tu as bricolé les dépôts sources en ajoutant ce ppa : http://ppa.launchpad.net/ondrej/php/ubuntu.

Donc tu supprimes ce dépôt, tu purges tous les paquets installés depuis ce ppa tu ré-installes ceux issus des dépôts officiels.
Voir la doc : https://doc.ubuntu-fr.org/php#conflits_ … ons_de_php


Le mensonge et la crédulité s'accouplent et engendrent l'opinion.

Hors ligne

#9 Le 22/07/2021, à 19:26

vgr

Re : [RESOLU] Erreur PHP -- redis.so introuvable

Bruno.

D'après mes notes, j'avais ajouté ce PPA pour avoir PHP8.0 nécessaire à la version de Nextcloud 21
(source : https://www.jjworld.fr/installer-nextcl … personnel/)
Je pense que cette manip date de quand j'étais en version 16.04

Ce que j'avais noté pour ajouter php8.0

sudo apt install -y software-properties-common
sudo add-apt-repository -y ppa:ondrej/php
sudo apt update -y

puis

sudo apt-get install -y apache2 libapache2-mod-php8.0 imagemagick \
php8.0-gd php8.0-mysql php8.0-curl php8.0-mbstring \
php8.0-intl php8.0-imagick php8.0-xml php8.0-zip \
php8.0-apcu redis-server php8.0-redis \
php8.0-ldap smbclient php8.0-bcmath php8.0-gmp

Comment je peux être sûr que php8.0 sera OK si je supprime ce dépot ?

Si je lis bien la doc que tu m'as donnée, pour enlever le dépot proprement, il faudra que je fasse ce qui suit

sudo add-apt-repository --remove ppa:ondrej/php
sudo apt update -y

Peux-tu me confirmer ça ?
Merci encore
VGR

Dernière modification par vgr (Le 22/07/2021, à 19:27)

Hors ligne

#10 Le 22/07/2021, à 20:39

ylag

Re : [RESOLU] Erreur PHP -- redis.so introuvable

Bonsoir,

Sous toute réserve de ce qu'en pense bruno, la commande sudo add-apt-repository --remove ppa:ondrej/php ne fera que retirer l'entrée du PPA des sources.
Pour supprimer «proprement» l'entrée des sources ainsi que les paquets provenant du PPA, il faudrait utiliser ppa-purge :

sudo apt install ppa-purge
sudo ppa-purge ppa:ondrej/php

A+

Dernière modification par ylag (Le 22/07/2021, à 20:40)

Hors ligne

#11 Le 23/07/2021, à 08:52

bruno

Re : [RESOLU] Erreur PHP -- redis.so introuvable

vgr a écrit :

j'avais ajouté ce PPA pour avoir PHP8.0 nécessaire à la version de Nextcloud 21

Nextcloud 21 et me 22 ne nécessite pas PHP 8. Il tourne parfaitement sur des serveurs avec PHP 7.3 ou 7.4
Attention aux tutos, surtout lorsqu'il n'expliquent rien et balancent des séries de commandes ! Et il y a d'autres trucs qui ne vont pas dans celui que tu cites.

Pour supprimer ce ppa tu peux suivre la procédure proposée par ylag ci-dessus. Il faudra cependant bien vérifier que tous les paquets PHP8 ont été désinstallés et remplacés par la version 7.4


Le mensonge et la crédulité s'accouplent et engendrent l'opinion.

Hors ligne

#12 Le 23/07/2021, à 14:30

vgr

Re : [RESOLU] Erreur PHP -- redis.so introuvable

Merci à vous pour vos conseils
Avant de lancer la suppression du ppa ondrej, est-ce qu'il y a moyen d'avoir la liste de ce qui a été installé grâce à lui ?
Histoire que j'ai une trace pour vérifier que je peux tout réinstaller avec les dépots officiels ?
Merci encore

Hors ligne

#13 Le 23/07/2021, à 14:36

bruno

Re : [RESOLU] Erreur PHP -- redis.so introuvable

J'ai donné le lien vers la doc en #8 qui indique la commande pour vérifier ce qui est installé :

apt list \*php\* --installed

Le mensonge et la crédulité s'accouplent et engendrent l'opinion.

Hors ligne

#14 Le 23/07/2021, à 14:44

vgr

Re : [RESOLU] Erreur PHP -- redis.so introuvable

J'ai sans doute mal posé ma question...
Comment je peux connaitre la liste des paquets actuellement installés sur mon système grâce à ce PPA et qui seront supprimés en exécutant la procédure de purge ?
Je suppose qu'il peut y avoir du mélange entre du PHP installé par lui et du PHP installé par les dépôts officiels, non ?
Merci.

Dernière modification par vgr (Le 23/07/2021, à 15:01)

Hors ligne

#15 Le 23/07/2021, à 15:41

ylag

Re : [RESOLU] Erreur PHP -- redis.so introuvable

Bonjour,

vgr a écrit :

Comment je peux connaitre la liste des paquets actuellement installés sur mon système grâce à ce PPA et qui seront supprimés en exécutant la procédure de purge ?

Je pense que synaptic peut le faire en cliquant sur « Origine » dans le panneau de gauche, et en sélectionnant ensuite le PPA en question dans la liste au-dessus. (si ma mémoire ne me trompe pas...)

L'utilitaire ppa-purge devrait rétrograder les paquets en provenance du PPA aux versions des dépôts réguliers et supprimer les paquets «orphelins» du PPA qui n'auraient pas de version installable à partir des dépôts déclarés dans tes sources.

Ensuite, il faut suivre la recommendation de @bruno au commentaire #11 => «Il faudra cependant bien vérifier que tous les paquets PHP8 ont été désinstallés et remplacés par la version 7.4»

A+

Dernière modification par ylag (Le 23/07/2021, à 15:44)

Hors ligne

#16 Le 23/07/2021, à 16:25

bruno

Re : [RESOLU] Erreur PHP -- redis.so introuvable

Si tu lances la commande que j'ai indiqué tu verras les paquets PHP installés et le dépôt dont ils proviennent.


Le mensonge et la crédulité s'accouplent et engendrent l'opinion.

Hors ligne

#17 Le 23/07/2021, à 16:58

vgr

Re : [RESOLU] Erreur PHP -- redis.so introuvable

OK mais du coup je ne comprends pas pourquoi je n'ai aucun paquet affiché avec le PPA ondrej dans le résultat de cette commande

myuser@myserver:~$ sudo apt list \*php\* --installed
En train de lister... Fait
libapache2-mod-php7.0/focal,now 7.0.33-52+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
libapache2-mod-php7.2/focal,now 7.2.34-23+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
libapache2-mod-php7.4/focal,now 7.4.21-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
libapache2-mod-php8.0/focal,now 8.0.8-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
libapache2-mod-php/focal,focal,now 2:8.0+84+ubuntu20.04.1+deb.sury.org+1 all  [installé]
php-apcu-bc/focal,now 1.0.5-13+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php-apcu/focal,now 5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php-bcmath/focal,focal,now 2:8.0+84+ubuntu20.04.1+deb.sury.org+1 all  [installé]
php-common/focal,focal,now 2:84+ubuntu20.04.1+deb.sury.org+1 all  [installé, automatique]
php-curl/focal,focal,now 2:8.0+84+ubuntu20.04.1+deb.sury.org+1 all  [installé]
php-gd/focal,focal,now 2:8.0+84+ubuntu20.04.1+deb.sury.org+1 all  [installé]
php-gmp/focal,focal,now 2:8.0+84+ubuntu20.04.1+deb.sury.org+1 all  [installé]
php-google-recaptcha/focal,focal,now 1.2.3-1 all  [installé, automatique]
php-igbinary/focal,now 3.2.1+2.0.8-6+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php-intl/focal,focal,now 2:8.0+84+ubuntu20.04.1+deb.sury.org+1 all  [installé]
php-json/focal,focal,now 2:8.0+84+ubuntu20.04.1+deb.sury.org+1 all  [installé]
php-mbstring/focal,focal,now 2:8.0+84+ubuntu20.04.1+deb.sury.org+1 all  [installé]
php-mcrypt/focal,now 3:1.0.4-5+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php-mysql/focal,focal,now 2:8.0+84+ubuntu20.04.1+deb.sury.org+1 all  [installé]
php-pear/focal,focal,now 1:1.10.12+submodules+notgz+20210212-1+ubuntu20.04.1+deb.sury.org+1 all  [installé, automatique]
php-phpmyadmin-motranslator/focal,focal,now 5.0.0-1 all  [installé, automatique]
php-phpmyadmin-shapefile/focal,focal,now 2.1-3 all  [installé, automatique]
php-phpmyadmin-sql-parser/focal,focal,now 4.6.1-2 all  [installé, automatique]
php-phpseclib/focal,focal,now 2.0.23-2 all  [installé, automatique]
php-psr-cache/focal,focal,now 1.0.1-2 all  [installé, automatique]
php-psr-container/focal,focal,now 1.0.0-2 all  [installé, automatique]
php-psr-log/focal,focal,now 1.1.2-1 all  [installé, automatique]
php-redis/focal,now 5.3.4+4.3.0-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php-symfony-cache-contracts/focal,focal,now 1.1.8-1 all  [installé, automatique]
php-symfony-cache/focal,focal,now 4.3.8+dfsg-1ubuntu1 all  [installé, automatique]
php-symfony-expression-language/focal,focal,now 4.3.8+dfsg-1ubuntu1 all  [installé, automatique]
php-symfony-service-contracts/focal,focal,now 1.1.8-1 all  [installé, automatique]
php-symfony-var-exporter/focal,focal,now 4.3.8+dfsg-1ubuntu1 all  [installé, automatique]
php-tcpdf/focal,focal,now 6.3.5+dfsg1-1 all  [installé, automatique]
php-twig-extensions/focal,focal,now 1.5.4-1 all  [installé, automatique]
php-twig/focal,focal,now 2.12.5-1 all  [installé, automatique]
php-xml/focal,focal,now 2:8.0+84+ubuntu20.04.1+deb.sury.org+1 all  [installé]
php-zip/focal,focal,now 2:8.0+84+ubuntu20.04.1+deb.sury.org+1 all  [installé]
php5.6-common/focal,now 5.6.40-52+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php5.6-igbinary/focal,now 3.2.1+2.0.8-6+ubuntu20.04.1+deb.sury.org+1 amd64 [installé, pouvant être supprimé automatiquement]
php7.0-cli/focal,now 7.0.33-52+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php7.0-common/focal,now 7.0.33-52+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php7.0-igbinary/focal,now 3.2.1+2.0.8-6+ubuntu20.04.1+deb.sury.org+1 amd64 [installé, pouvant être supprimé automatiquement]
php7.0-json/focal,now 7.0.33-52+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php7.0-mbstring/focal,now 7.0.33-52+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php7.0-mysql/focal,now 7.0.33-52+ubuntu20.04.1+deb.sury.org+1 amd64 [installé, pouvant être supprimé automatiquement]
php7.0-opcache/focal,now 7.0.33-52+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php7.0-readline/focal,now 7.0.33-52+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php7.0-xml/focal,now 7.0.33-52+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php7.0/focal,focal,now 7.0.33-52+ubuntu20.04.1+deb.sury.org+1 all  [installé]
php7.1-common/focal,now 7.1.33-39+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php7.1-igbinary/focal,now 3.2.1+2.0.8-6+ubuntu20.04.1+deb.sury.org+1 amd64 [installé, pouvant être supprimé automatiquement]
php7.2-bcmath/focal,now 7.2.34-23+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.2-cli/focal,now 7.2.34-23+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.2-common/focal,now 7.2.34-23+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.2-curl/focal,now 7.2.34-23+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.2-fpm/focal,now 7.2.34-23+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.2-gd/focal,now 7.2.34-23+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.2-gmp/focal,now 7.2.34-23+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.2-igbinary/focal,now 3.2.1+2.0.8-6+ubuntu20.04.1+deb.sury.org+1 amd64 [installé, pouvant être supprimé automatiquement]
php7.2-intl/focal,now 7.2.34-23+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.2-json/focal,now 7.2.34-23+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.2-mbstring/focal,now 7.2.34-23+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.2-mysql/focal,now 7.2.34-23+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.2-opcache/focal,now 7.2.34-23+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.2-readline/focal,now 7.2.34-23+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php7.2-xml/focal,now 7.2.34-23+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.2-zip/focal,now 7.2.34-23+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.2/focal,focal,now 7.2.34-23+ubuntu20.04.1+deb.sury.org+1 all  [installé]
php7.3-common/focal,now 7.3.29-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php7.3-igbinary/focal,now 3.2.1+2.0.8-6+ubuntu20.04.1+deb.sury.org+1 amd64 [installé, pouvant être supprimé automatiquement]
php7.4-apcu-bc/focal,now 1.0.5-13+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php7.4-apcu/focal,now 5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php7.4-bcmath/focal,now 7.4.21-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.4-cli/focal,now 7.4.21-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.4-common/focal,now 7.4.21-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.4-curl/focal,now 7.4.21-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.4-dev/focal,now 7.4.21-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.4-gd/focal,now 7.4.21-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.4-gmp/focal,now 7.4.21-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.4-igbinary/focal,now 3.2.1+2.0.8-6+ubuntu20.04.1+deb.sury.org+1 amd64 [installé, pouvant être supprimé automatiquement]
php7.4-imagick/focal,now 3.4.4+php8.0+3.4.4-7+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.4-imap/focal,now 7.4.21-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.4-intl/focal,now 7.4.21-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.4-json/focal,now 7.4.21-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php7.4-mbstring/focal,now 7.4.21-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.4-mysql/focal,now 7.4.21-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.4-opcache/focal,now 7.4.21-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.4-readline/focal,now 7.4.21-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php7.4-soap/focal,now 7.4.21-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.4-xml/focal,now 7.4.21-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.4-xmlrpc/focal,now 7.4.21-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.4-zip/focal,now 7.4.21-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php7.4/focal,focal,now 7.4.21-1+ubuntu20.04.1+deb.sury.org+1 all  [installé]
php8.0-apcu/focal,now 5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php8.0-bcmath/focal,now 8.0.8-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.0-cli/focal,now 8.0.8-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.0-common/focal,now 8.0.8-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.0-curl/focal,now 8.0.8-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.0-gd/focal,now 8.0.8-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.0-gmp/focal,now 8.0.8-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.0-igbinary/focal,now 3.2.1+2.0.8-6+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.0-imagick/focal,now 3.4.4+php8.0+3.4.4-7+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php8.0-intl/focal,now 8.0.8-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.0-ldap/focal,now 8.0.8-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php8.0-mbstring/focal,now 8.0.8-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php8.0-mcrypt/focal,now 3:1.0.4-5+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.0-mysql/focal,now 8.0.8-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.0-opcache/focal,now 8.0.8-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.0-readline/focal,now 8.0.8-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.0-redis/focal,now 5.3.4+4.3.0-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php8.0-xml/focal,now 8.0.8-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.0-zip/focal,now 8.0.8-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.0/focal,focal,now 8.0.8-1+ubuntu20.04.1+deb.sury.org+1 all  [installé]
php/focal,focal,now 2:8.0+84+ubuntu20.04.1+deb.sury.org+1 all  [installé, automatique]
phpmyadmin/focal,focal,now 4:4.9.5+dfsg1-2 all  [installé]
pkg-php-tools/focal,focal,now 1.38 all  [installé, automatique]
myuser@myserver:~$ sudo apt list \*php\* --installed | grep ondrej

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

myuser@myserver:~$

Je vais suivre vos indications ce soir, mais je cherche surtout à sécuriser le truc pour ne pas tout casser.
Merci encore.
VGR.

Hors ligne

#18 Le 23/07/2021, à 17:12

xubu1957

Re : [RESOLU] Erreur PHP -- redis.so introuvable

Bonjour,

vgr a écrit :

OK mais du coup je ne comprends pas pourquoi je n'ai aucun paquet affiché avec le PPA ondrej dans le résultat de cette commande

Le développeur se nomme Ondřej Surý launchpad.net/~ondrej


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#19 Le 23/07/2021, à 17:37

ylag

Re : [RESOLU] Erreur PHP -- redis.so introuvable

Bonjour,

Le numéro de version des paquets provenant du PPA Ondřej Surý devrait contenir la chaîne de caractères suivante : deb.sury.org ?

https://launchpad.net/~ondrej/+archive/ubuntu/php

A+

Hors ligne

#20 Le 23/07/2021, à 17:39

xubu1957

Re : [RESOLU] Erreur PHP -- redis.so introuvable

Au #17, c'est bien visible :

libapache2-mod-php7.0/focal,now 7.0.33-52+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
libapache2-mod-php7.2/focal,now 7.2.34-23+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
libapache2-mod-php7.4/focal,now 7.4.21-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
libapache2-mod-php8.0/focal,now 8.0.8-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
libapache2-mod-php/focal,focal,now 2:8.0+84+ubuntu20.04.1+deb.sury.org+1 all  [installé]
php-apcu-bc/focal,now 1.0.5-13+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php-apcu/focal,now 5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php-bcmath/focal,focal,now 2:8.0+84+ubuntu20.04.1+deb.sury.org+1 all  [installé]
php-common/focal,focal,now 2:84+ubuntu20.04.1+deb.sury.org+1 all  [installé, automatique]
php-curl/focal,focal,now 2:8.0+84+ubuntu20.04.1+deb.sury.org+1 all  [installé]
php-gd/focal,focal,now 2:8.0+84+ubuntu20.04.1+deb.sury.org+1 all  [installé]
php-gmp/focal,focal,now 2:8.0+84+ubuntu20.04.1+deb.sury.org+1 all  [installé]

php-igbinary/focal,now 3.2.1+2.0.8-6+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php-intl/focal,focal,now 2:8.0+84+ubuntu20.04.1+deb.sury.org+1 all  [installé]
php-json/focal,focal,now 2:8.0+84+ubuntu20.04.1+deb.sury.org+1 all  [installé]
php-mbstring/focal,focal,now 2:8.0+84+ubuntu20.04.1+deb.sury.org+1 all  [installé]
php-mcrypt/focal,now 3:1.0.4-5+ubuntu20.04.1+deb.sury.org+1 amd64  [installé]
php-mysql/focal,focal,now 2:8.0+84+ubuntu20.04.1+deb.sury.org+1 all  [installé]
php-pear/focal,focal,now 1:1.10.12+submodules+notgz+20210212-1+ubuntu20.04.1+deb.sury.org+1 all  [installé, automatique]

Dernière modification par xubu1957 (Le 23/07/2021, à 17:39)


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#21 Le 23/07/2021, à 17:40

ylag

Re : [RESOLU] Erreur PHP -- redis.so introuvable

Re,

xubu1957 a écrit :

Au #17, c'est bien visible

++1 !  smile

A+

Dernière modification par ylag (Le 23/07/2021, à 17:41)

Hors ligne

#22 Le 23/07/2021, à 17:54

vgr

Re : [RESOLU] Erreur PHP -- redis.so introuvable

Avouez que ce n'est pas trivial quand même !!! hmm
Merci à tous pour votre aide, je vous tiens informés de la suite
VGR

Hors ligne

#23 Le 23/07/2021, à 18:00

ylag

Re : [RESOLU] Erreur PHP -- redis.so introuvable

Re,

vbgr a écrit :

Avouez que ce n'est pas trivial quand même !!!

Effectivement, je l'avoue bien volontiers sans que tu aies à recourir à la torture ! smile
C'est un peu pour cette raison que l'on suggère l'utilisation de ppa-purge pour gérer ce genre de chose.

A+

Hors ligne

#24 Le 23/07/2021, à 18:51

Alex10336

Re : [RESOLU] Erreur PHP -- redis.so introuvable

vgr a écrit :

D'après mes notes, j'avais ajouté ce PPA pour avoir PHP8.0 nécessaire à la version de Nextcloud 21
(source : https://www.jjworld.fr/installer-nextcl … personnel/)
Je pense que cette manip date de quand j'étais en version 16.04

Bonjour,

J'me permet de mettre mes 2 sous. le php8.0 nécessaire pour nextcloud 21 ma fait tiqué.
Mon serveur tourne avec php7.4 + nextcloud 21 sans sourcis.

La documentation officielle le confirme.
https://docs.nextcloud.com/server/21/ad … stallation

Bonne soirée,


« On ne répond pas à une question par une autre question. » (moi ;-) )

Hors ligne

#25 Le 23/07/2021, à 22:55

vgr

Re : [RESOLU] Erreur PHP -- redis.so introuvable

Bonsoir

Après application de la solution en #10

voici la nouvelle liste des modules php installés

libapache2-mod-php7.4/focal-updates,focal-security,now 7.4.3-4ubuntu2.5 amd64  [installé, automatique]
libapache2-mod-php/focal,focal,now 2:7.4+75 all  [installé]
php-apcu-bc/focal,now 1.0.5-2build1 amd64  [installé, automatique]
php-apcu/focal,now 5.1.18+4.0.11-1build1 amd64  [installé]
php-bcmath/focal,focal,now 2:7.4+75 all  [installé]
php-common/focal,focal,now 2:75 all  [installé, automatique]
php-curl/focal,focal,now 2:7.4+75 all  [installé]
php-gd/focal,focal,now 2:7.4+75 all  [installé]
php-gmp/focal,focal,now 2:7.4+75 all  [installé]
php-google-recaptcha/focal,focal,now 1.2.3-1 all  [installé, automatique]
php-igbinary/focal,now 3.1.2+2.0.8-1build1 amd64  [installé]
php-intl/focal,focal,now 2:7.4+75 all  [installé]
php-json/focal,focal,now 2:7.4+75 all  [installé]
php-mbstring/focal,focal,now 2:7.4+75 all  [installé]
php-mysql/focal,focal,now 2:7.4+75 all  [installé]
php-pear/focal-updates,focal-updates,focal-security,focal-security,now 1:1.10.9+submodules+notgz-1ubuntu0.20.04.2 all  [installé, automatique]
php-phpmyadmin-motranslator/focal,focal,now 5.0.0-1 all  [installé, automatique]
php-phpmyadmin-shapefile/focal,focal,now 2.1-3 all  [installé, automatique]
php-phpmyadmin-sql-parser/focal,focal,now 4.6.1-2 all  [installé, automatique]
php-phpseclib/focal,focal,now 2.0.23-2 all  [installé, automatique]
php-psr-cache/focal,focal,now 1.0.1-2 all  [installé, automatique]
php-psr-container/focal,focal,now 1.0.0-2 all  [installé, automatique]
php-psr-log/focal,focal,now 1.1.2-1 all  [installé, automatique]
php-redis/focal,now 5.1.1+4.3.0-1 amd64  [installé]
php-symfony-cache-contracts/focal,focal,now 1.1.8-1 all  [installé, automatique]
php-symfony-cache/focal,focal,now 4.3.8+dfsg-1ubuntu1 all  [installé, automatique]
php-symfony-expression-language/focal,focal,now 4.3.8+dfsg-1ubuntu1 all  [installé, automatique]
php-symfony-service-contracts/focal,focal,now 1.1.8-1 all  [installé, automatique]
php-symfony-var-exporter/focal,focal,now 4.3.8+dfsg-1ubuntu1 all  [installé, automatique]
php-tcpdf/focal,focal,now 6.3.5+dfsg1-1 all  [installé, automatique]
php-twig-extensions/focal,focal,now 1.5.4-1 all  [installé, automatique]
php-twig/focal,focal,now 2.12.5-1 all  [installé, automatique]
php-xml/focal,focal,now 2:7.4+75 all  [installé]
php-zip/focal,focal,now 2:7.4+75 all  [installé]
php7.4-bcmath/focal-updates,focal-security,now 7.4.3-4ubuntu2.5 amd64  [installé]
php7.4-cli/focal-updates,focal-security,now 7.4.3-4ubuntu2.5 amd64  [installé]
php7.4-common/focal-updates,focal-security,now 7.4.3-4ubuntu2.5 amd64  [installé]
php7.4-curl/focal-updates,focal-security,now 7.4.3-4ubuntu2.5 amd64  [installé]
php7.4-dev/focal-updates,focal-security,now 7.4.3-4ubuntu2.5 amd64  [installé]
php7.4-gd/focal-updates,focal-security,now 7.4.3-4ubuntu2.5 amd64  [installé]
php7.4-gmp/focal-updates,focal-security,now 7.4.3-4ubuntu2.5 amd64  [installé]
php7.4-imap/focal-updates,focal-security,now 7.4.3-4ubuntu2.5 amd64  [installé]
php7.4-intl/focal-updates,focal-security,now 7.4.3-4ubuntu2.5 amd64  [installé]
php7.4-json/focal-updates,focal-security,now 7.4.3-4ubuntu2.5 amd64  [installé, automatique]
php7.4-mbstring/focal-updates,focal-security,now 7.4.3-4ubuntu2.5 amd64  [installé]
php7.4-mysql/focal-updates,focal-security,now 7.4.3-4ubuntu2.5 amd64  [installé]
php7.4-opcache/focal-updates,focal-security,now 7.4.3-4ubuntu2.5 amd64  [installé]
php7.4-readline/focal-updates,focal-security,now 7.4.3-4ubuntu2.5 amd64  [installé, automatique]
php7.4-soap/focal-updates,focal-security,now 7.4.3-4ubuntu2.5 amd64  [installé]
php7.4-xml/focal-updates,focal-security,now 7.4.3-4ubuntu2.5 amd64  [installé]
php7.4-xmlrpc/focal-updates,focal-security,now 7.4.3-4ubuntu2.5 amd64  [installé]
php7.4-zip/focal-updates,focal-security,now 7.4.3-4ubuntu2.5 amd64  [installé]
php7.4/focal-updates,focal-updates,focal-security,focal-security,now 7.4.3-4ubuntu2.5 all  [installé]
php/focal,focal,now 2:7.4+75 all  [installé, automatique]
phpmyadmin/focal,focal,now 4:4.9.5+dfsg1-2 all  [installé]
pkg-php-tools/focal,focal,now 1.38 all  [installé, automatique]

Ca me semblait plutôt pas mal sauf que maintenant j'ai un autre message d'erreur qui apparait

myuser@myserver:~$ sudo -u www-data php7.4 /mypath/nextcloud/cron.php
PHP Warning:  PHP Startup: Unable to load dynamic library 'apc.so' (tried: /usr/lib/php/20190902/apc.so (/usr/lib/php/20190902/apc.so: cannot open shared object file: No such file or directory), /usr/lib/php/20190902/apc.so.so (/usr/lib/php/20190902/apc.so.so: cannot open shared object file: No such file or directory)) in Unknown on line 0
myuser@myserver:~$ 

Pourtant il semble que j'ai bien le module php-apcu dans la liste ci-dessus.

Dernière modification par vgr (Le 23/07/2021, à 22:56)

Hors ligne